wxWidgets: wxTaskBarJumpListItem Class Reference

| Version: 3.2.2

Public Member Functions | List of all members
wxTaskBarJumpListItem Class Reference
Class List by Category » Miscellaneous

`#include <wx/taskbarbutton.h>`

## Detailed Description

A wxTaskBarJumpListItem represents an item in a jump list category.

##

Library: wxCore
Category: Miscellaneous
Availability: only available for the wxMSW port.

Since
  3.1.0

## Public Member Functions
| wxTaskBarJumpListItem (wxTaskBarJumpListCategory *parentCategory=NULL, wxTaskBarJumpListItemType type=wxTASKBAR_JUMP_LIST_SEPARATOR, const wxString &title=wxEmptyString, const wxString &filePath=wxEmptyString, const wxString &arguments=wxEmptyString, const wxString &tooltip=wxEmptyString, const wxString &iconPath=wxEmptyString, int iconIndex=0)
| Constructs a jump list item. More...
wxTaskBarJumpListItemType | GetType () const
| Returns the type of this item. More...
void | SetType (wxTaskBarJumpListItemType type)
| Sets the type of this item. More...
const wxString & | GetTitle () const
| Returns the title of this item. More...
void | SetTitle (const wxString &title)
| Sets the title of this item. More...
const wxString & | GetFilePath () const
| Returns the file path of this item. More...
void | SetFilePath (const wxString &filePath)
| Sets the file path of this item. More...
const wxString & | GetArguments () const
| Returns the command-line arguments of this item. More...
void | SetArguments (const wxString &arguments)
| Sets the command-line arguments of this item. More...
const wxString & | GetTooltip () const
| Returns the description tooltip of this item. More...
void | SetTooltip (const wxString &tooltip)
| Sets the description tooltip of this item. More...
const wxString & | GetIconPath () const
| Returns the icon path of this item. More...
void | SetIconPath (const wxString &iconPath)
| Sets the icon path of this item. More...
int | GetIconIndex () const
| Returns the icon index of icon in this item. More...
void | SetIconIndex (int iconIndex)
| Sets the icon index of icon in this item. More...
wxTaskBarJumpListCategory * | GetCategory () const
| Returns the category this jump list item is in, or NULL if this jump list item is not attached. More...
void | SetCategory (wxTaskBarJumpListCategory *category)
| Sets the parent category which will contain this jump list item. More...

## Constructor & Destructor Documentation

## ◆ wxTaskBarJumpListItem()

wxTaskBarJumpListItem::wxTaskBarJumpListItem | ( | wxTaskBarJumpListCategory * | parentCategory = `NULL`,
|  | wxTaskBarJumpListItemType | type = `wxTASKBAR_JUMP_LIST_SEPARATOR`,
|  | const wxString & | title = `wxEmptyString`,
|  | const wxString & | filePath = `wxEmptyString`,
|  | const wxString & | arguments = `wxEmptyString`,
|  | const wxString & | tooltip = `wxEmptyString`,
|  | const wxString & | iconPath = `wxEmptyString`,
|  | int | iconIndex = `0`
| ) |  |

Constructs a jump list item.

Parameters

  parentCategory | Category that the jump list item belongs to. Can be NULL if the item is going to be added to the category later.
  type | The type for this item.
  title | The title of this item.
  filePath | The filePath of this item, the meaning of which depends on the type of this item: If the item type is wxTASKBAR_JUMP_LIST_DESTINATION, filePath is the path to a file that can be opened by an application. If the item type is wxTASKBAR_JUMP_LIST_TASK, filePath is the path to an executable that is executed when this item is clicked by the user.
  arguments | The command-line arguments of this item.
  tooltip | The description tooltip of this item.
  iconPath | The path to the file containing the icon.
  iconIndex | The index of the icon, which is specified by iconPath.

## Member Function Documentation

## ◆ GetArguments()

const wxString& wxTaskBarJumpListItem::GetArguments | ( |  | ) | const

Returns the command-line arguments of this item.

## ◆ GetCategory()

wxTaskBarJumpListCategory* wxTaskBarJumpListItem::GetCategory | ( |  | ) | const

Returns the category this jump list item is in, or NULL if this jump list item is not attached.

## ◆ GetFilePath()

const wxString& wxTaskBarJumpListItem::GetFilePath | ( |  | ) | const

Returns the file path of this item.

## ◆ GetIconIndex()

int wxTaskBarJumpListItem::GetIconIndex | ( |  | ) | const

Returns the icon index of icon in this item.

## ◆ GetIconPath()

const wxString& wxTaskBarJumpListItem::GetIconPath | ( |  | ) | const

Returns the icon path of this item.

## ◆ GetTitle()

const wxString& wxTaskBarJumpListItem::GetTitle | ( |  | ) | const

Returns the title of this item.

## ◆ GetTooltip()

const wxString& wxTaskBarJumpListItem::GetTooltip | ( |  | ) | const

Returns the description tooltip of this item.

## ◆ GetType()

wxTaskBarJumpListItemType wxTaskBarJumpListItem::GetType | ( |  | ) | const

Returns the type of this item.

## ◆ SetArguments()

void wxTaskBarJumpListItem::SetArguments | ( | const wxString & | arguments | ) |

Sets the command-line arguments of this item.

## ◆ SetCategory()

void wxTaskBarJumpListItem::SetCategory | ( | wxTaskBarJumpListCategory * | category | ) |

Sets the parent category which will contain this jump list item.

## ◆ SetFilePath()

void wxTaskBarJumpListItem::SetFilePath | ( | const wxString & | filePath | ) |

Sets the file path of this item.

## ◆ SetIconIndex()

void wxTaskBarJumpListItem::SetIconIndex | ( | int | iconIndex | ) |

Sets the icon index of icon in this item.

## ◆ SetIconPath()

void wxTaskBarJumpListItem::SetIconPath | ( | const wxString & | iconPath | ) |

Sets the icon path of this item.

## ◆ SetTitle()

void wxTaskBarJumpListItem::SetTitle | ( | const wxString & | title | ) |

Sets the title of this item.

## ◆ SetTooltip()

void wxTaskBarJumpListItem::SetTooltip | ( | const wxString & | tooltip | ) |

Sets the description tooltip of this item.

## ◆ SetType()

void wxTaskBarJumpListItem::SetType | ( | wxTaskBarJumpListItemType | type | ) |

Sets the type of this item.